#' @title which_min
#' @name which_min
#' @description Helper function which returns the minimal index positions of a
#' vector.
#' @param x number
#' @references Vara C et al. (2019) PRDM9 Diveristy at Fine Geographical Scale
#' Reveals Contrasting Evolutionary Patterns and Functional Constraints in
#' Natural Populations of House Mice. \emph{Molecular Biology and Evolution},
#' \bold{36(8)}, 1686-1700.
#' @export which_min
#' @author Kristian K Ullrich

which_min<-function(x){
    #forked from https://github.com/lucaferretti/RepeatDistance/blob/master/
    #RepeatDistance.R
    which(x==min(x, na.rm=TRUE))
}
